function bin = %_gpuBuild(cufile,varargin)

    rhs = argn(2);
    opt = "";

    if rhs == 2 then
        opt = varargin(1);
    end

    if ~isfile(cufile+".cu");
        error(999,cufile+".cu not found. " );
    end

    if ~isdef("NVCC_PATH") then
        getNVCC_PATH();
    end

    outSplit = strsplit(cufile, "/");
    outSplit = strsplit(outSplit($), "\");
    outFile = TMPDIR + filesep() + outSplit($);

    if getos() == "Windows" then
        commandLine = """" + NVCC_PATH + "\nvcc.exe"" -ptx -o """+outFile+".ptx"" """ + cufile+ ".cu" + """"
    else
        commandLine = NVCC_PATH + "/nvcc -ptx -o "+outFile+".ptx " + cufile + ".cu"
    end

    [rep,stat,stderr] = unix_g(commandLine + " " +opt);

    if stat then
        disp("executed command :")
        disp(commandLine + " " +opt)
        disp("Error :")
        disp(stderr);
        error(999,"Error when building with NVCC ");
    end

    bin = [outFile+".ptx";"Cuda"]
    NVCC_PATH = resume(NVCC_PATH);

endfunction
