function getNVCC_PATH()
    if ~isdef("NVCC_PATH") then
        pathCudaBin = getenv("CUDA_BIN_PATH","");
        if getos() == "Windows"
            install = "";
            if pathCudaBin == "" then
                install = "Please install CUDA Toolkit 6 or more."+ascii(10);
            end
            if ~haveacompiler() then
                install = install + "Please install Visual Studio compiler."+ascii(10);
            end
            if install == "" then
                NVCC_PATH = pathCudaBin+filesep();
            else
                error(install);
            end
        else
            if pathCudaBin == "" then
                pathCudaBin = "/usr/local/cuda/bin";
                if isdir(pathCudaBin) == %f then
                    error("Install Nvidia SDK and set CUDA_BIN_PATH environment variable.");
                end
            end
            NVCC_PATH = pathCudaBin;

            if ~isfile(NVCC_PATH+"/nvcc") then
                error("Please, check that you have correctly:"+ascii(10)+ascii(10)+"    1) Install the CUDA Toolkit 6 or more."+ascii(10)+"    2) Install the g++ compiler."+ascii(10));
            end
        end
        NVCC_PATH = resume(NVCC_PATH);
    end
endfunction
